%define name rosegarden4
%define version 0.8.5
%define release 1mdk

%define major 0
%define libname libRosegarden%{major}

Summary: Midi, audio and notation editor
Name: %name
Version: %version
Release: %release
URL: http://www.all-day-breakfast.com/rosegarden/
Source0: rosegarden-4-%version.tar.bz2
Patch0: %{name}-0.8.5-guimakefile.patch.bz2
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: jack %libname

%description
Rosegarden-4 is an attractive, user-friendly MIDI and audio sequencer,
notation editor, and general-purpose music composition and editing
application for Unix and Linux

%package -n %libname
Summary: Library for Rosegarden-4
Group:	System/Libraries

%description -n %libname
Library for Rosegarden-4 

%package -n %libname-devel
Summary: Devel files for Rosegarden-4
Group:  System/Libraries
Requires: %libname = %version
Provides: libRosegarden-devel
Obsoletes: libRosegarden-devel

%description -n %libname-devel
Devel files for Rosegarden-4

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n rosegarden-4-%{version}

%patch0 -p1

%build

./configure --prefix=%_prefix --mandir=%_mandir --with-jack --with-ladspa \
	--disable-rpath  --disable-debug --libdir=%_libdir

%make

%install

%makeinstall

#menu
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/rosegarden"\
title="Rosegarden"\
longtitle="Audio sequencer"\
needs="x11"\
icon="multimedia_section.png"\
section="Multimedia/Sound"
EOF
)

%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%_menudir/*
%{_datadir}/applnk/Applications/rosegarden.desktop
%{_datadir}/apps/rosegarden
%{_datadir}/doc/HTML/en/rosegarden
%{_datadir}/icons/hicolor/16x16/apps/rosegarden.xpm
%{_datadir}/icons/hicolor/32x32/apps/rosegarden.xpm
%{_datadir}/icons/locolor/16x16/apps/rosegarden.xpm
%{_datadir}/icons/locolor/32x32/apps/rosegarden.xpm

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la

%changelog
* Fri Dec 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.5-1mdk
- add mandrake menu
- add libraries rpm
- keep zero length xpm icons...
- from ccrma package

* Wed Dec 18 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu> 0.8.5-1
- changed name to rosegarden, anaconda does not like the current name
  (anaconda should be fixed, name is legal)
- update to 0.8.5

* Sun Nov 10 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu> 0.8-2
- changed name of package to rosegarden-4 (what was I thinking?...)
- added patch to rename jack alsa ports for jack >= 0.40
- added explicit dependency to jack
- added redhat menu entry

* Fri Oct 18 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu>
- Initial build.


